function vecparam = fun_vec_param_fixedrhoint(param)
% fun_vec_param: obtains the vector of parameters as evaluated at param
R_c = exp(param(1));
alphap_1 = exp(param(2));
alphap_2 = alphap_1 + exp(param(3));
alphay_1 = exp(param(4));
alphay_2 = alphay_1 + param(5);
kappaRp_1 = param(6);
kappaRp_2 = kappaRp_1 + param(7);
kappaRy_1 = param(8);
kappaRy_2 = kappaRy_1 + param(9);
rhoR = exp(param(10))/(1+exp(param(10)));
sigmaR_1 = exp(param(11));
sigmaR_2 = sigmaR_1 + exp(param(12));
tau_c = exp(param(13));
gammab_1 = param(14);
gammab_2 = gammab_1 + exp(param(15));
gammay_1 = exp(param(16));
gammay_2 = gammay_1 + param(17);
kappatauy_1 = param(18);
kappatauy_2 = kappatauy_1 + param(19);
rhotau = exp(param(20))/(1+exp(param(20)));
sigmatau_1 = exp(param(21));
sigmatau_2 = sigmatau_1 + exp(param(22));
paramp = param(23:38);
pmf_11 = exp(paramp(1))/(1+exp(paramp(1))+exp(paramp(2))+exp(paramp(3)));
pmf_21 = exp(paramp(2))/(1+exp(paramp(1))+exp(paramp(2))+exp(paramp(3)));
pmf_31 = exp(paramp(3))/(1+exp(paramp(1))+exp(paramp(2))+exp(paramp(3)));
pmf_41 = 1/(1+exp(paramp(1))+exp(paramp(2))+exp(paramp(3)));
pmf_12 = exp(paramp(4))/(1+exp(paramp(4))+exp(paramp(5))+exp(paramp(6)));
pmf_22 = exp(paramp(5))/(1+exp(paramp(4))+exp(paramp(5))+exp(paramp(6)));
pmf_32 = exp(paramp(6))/(1+exp(paramp(4))+exp(paramp(5))+exp(paramp(6)));
pmf_42 = 1/(1+exp(paramp(4))+exp(paramp(5))+exp(paramp(6))); 
pmf_13 = exp(paramp(7))/(1+exp(paramp(7))+exp(paramp(8))+exp(paramp(9)));
pmf_23 = exp(paramp(8))/(1+exp(paramp(7))+exp(paramp(8))+exp(paramp(9)));
pmf_33 = exp(paramp(9))/(1+exp(paramp(7))+exp(paramp(8))+exp(paramp(9)));
pmf_43 = 1/(1+exp(paramp(7))+exp(paramp(8))+exp(paramp(9))); 
pmf_14 = exp(paramp(10))/(1+exp(paramp(10))+exp(paramp(11))+exp(paramp(12)));
pmf_24 = exp(paramp(11))/(1+exp(paramp(10))+exp(paramp(11))+exp(paramp(12)));
pmf_34 = exp(paramp(12))/(1+exp(paramp(10))+exp(paramp(11))+exp(paramp(12)));
pmf_44 = 1/(1+exp(paramp(10))+exp(paramp(11))+exp(paramp(12))); 
psR_11 = exp(paramp(13))/(1+exp(paramp(13)));
psR_21 = 1/(1+exp(paramp(13))); 
psR_12 = exp(paramp(14))/(1+exp(paramp(14)));
psR_22 = 1/(1+exp(paramp(14))); 
pstau_11 = exp(paramp(15))/(1+exp(paramp(15)));
pstau_21 = 1/(1+exp(paramp(15)));
pstau_12 = exp(paramp(16))/(1+exp(paramp(16)));
pstau_22 = 1/(1+exp(paramp(16)));
vecparam = [R_c;alphap_1;alphay_1;alphap_2;alphay_2;kappaRp_1;kappaRp_2;kappaRy_1;kappaRy_2;rhoR;sigmaR_1;sigmaR_2;
            tau_c;gammab_1;gammab_2;gammay_1;gammay_2;kappatauy_1;kappatauy_2;rhotau;sigmatau_1;sigmatau_2;
            pmf_11;pmf_21;pmf_31;pmf_12;pmf_22;pmf_32;pmf_13;pmf_23;pmf_33;pmf_14;pmf_24;pmf_34;
            psR_11;psR_12;pstau_11;pstau_12];
end

