function p = transformedprobabilities(P)
%
%   This function obtains the transformed values of x in the transition
%   probability matrix P where the entries of P are exp(x) and they add
%   up to one.
n = size(P,1);
p0 = zeros(n*(n-1),1);
options = optimset('Display','iter');
p = fsolve(@(p)residuals_p(P,p,n),p0,options);
end

