function resid = residmeanr(param, betta, pii, y_)
meanr = param(1);
varr = exp(param(2));

rbar = betta(1);
rho = betta(2);
alpha = betta(3);
sr = betta(4);

meanrstar = rho*meanr + (1-rho)*(rbar+alpha*pii);
varrstar = rho^2*varr + sr^2;

gammma = (y_ - meanrstar)/sqrt(varrstar);

lambda = normpdf(gammma)/(1-normcdf(gammma));
delta = lambda*(lambda - gammma);

meanr_condit = meanrstar + sqrt(varrstar)*lambda;

meanr_analytic = meanr_condit*(1-normcdf(gammma)) + y_*normcdf(gammma);
varr_analytic = varrstar*(1-normcdf(gammma))*(1-delta+(gammma-lambda)^2*normcdf(gammma));

resid = [meanr-meanr_analytic;varr-varr_analytic];




